%global scons scons-3
%global scons_pkg python3-scons

Summary:        High-Performance Asynchronous HTTP Client Library
Name:           libserf
Version:        1.3.9
Release:        3%{?dist}
License:        ASL 2.0
URL:            http://serf.apache.org/
Source0:        https://archive.apache.org/dist/serf/serf-%{version}.tar.bz2

Patch3000:      %{name}-norpath.patch
Patch3001:      %{name}-python3.patch
Patch3002:      %{name}-1.3.9-bio-ctrl.patch
Patch3003:      %{name}-1.3.9-errgetfunc.patch

BuildRequires:  gcc %{scons_pkg} pkgconfig apr-devel apr-util-devel krb5-devel openssl-devel zlib-devel

%description
The serf library is a C-based HTTP client library built upon the Apache  Portable Runtime (APR) library.
It multiplexes connections, running the read/write communication asynchronously. Memory copies and
transformations are kept to a minimum to provide high performance operation.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       apr-devel

%description    devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n serf-%{version} -p1

sed -i '/SHLIBVERSION/s/MAJOR/0/' SConstruct

%build
%{scons} \
      CFLAGS="%{optflags}" \
      LINKFLAGS="%{__global_ldflags}" \
      PREFIX=%{_prefix} \
      LIBDIR=%{_libdir} \
      GSSAPI=%{_prefix} \
      %{?_smp_mflags}

%install
%{scons} install --install-sandbox=%{buildroot}

find %{buildroot}%{_libdir} -type f -name '*.*a' -delete -print

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%{scons} %{?_smp_mflags} check || true

%files
%license LICENSE NOTICE
%{_libdir}/*.so.*

%files devel
%doc CHANGES README design-guide.txt
%{_includedir}/serf-1/
%{_libdir}/*.so
%{_libdir}/pkgconfig/serf*.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.9-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 Shuo Wang <abushwang@tencent.com> - 1.3.9-1
- initial build
